using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace ChuPiao.Common.Models
{
    /// <summary>
    /// 限号实体类
    /// </summary>
    [Serializable]
    public class M_LimitCodeEntity:INotifyPropertyChanged,ICloneable
    {
        public M_LimitCodeEntity()
        { 
        
        }

        private int _c_id;
        /// <summary>
        /// 主键ID
        /// </summary>
        public int C_ID
        {
            get { return _c_id; }
            set { _c_id = value; }
        }

        private int _c_lotid;
        /// <summary>
        /// 彩种ID
        /// </summary>
        public int C_Lotid
        {
            get { return _c_lotid; }
            set { _c_lotid = value; }
        }

        private int _c_playid;
        /// <summary>
        /// 玩法ID
        /// </summary>
        public int C_Playid
        {
            get { return _c_playid; }
            set { _c_playid = value; }
        }

        private int _c_modetype=0;
        /// <summary>
        /// 投注模式类型（0表示单式，1表示复式， 2表示胆拖，3表示定位复式，21表示和值，22表示跨度）
        /// </summary>
        public int C_ModeType
        {
            get { return _c_modetype; }
            set { _c_modetype = value; }
        }

        private int _c_codetype=0;
        /// <summary>
        /// 号码类型
        /// </summary>
        public int C_CodeType
        {
            get { return _c_codetype; }
            set { _c_codetype = value; }
        }

        private string _c_expect;
        /// <summary>
        /// 期号
        /// </summary>
        public string C_Expect
        {
            get { return _c_expect; }
            set { _c_expect = value; }
        }

        private string _c_code="";
        /// <summary>
        /// 限号号码
        /// </summary>
        public string C_Code
        {
            get { return _c_code; }
            set { _c_code = value; }
        }

        private int _c_zhushu=0;
        /// <summary>
        /// 剩余注数（默认为0，仅排列三有剩余注数）
        /// </summary>
        public int C_ZhuShu
        {
            get { return _c_zhushu; }
            set { _c_zhushu = value; }
        }

        private DateTime _c_endtime = DateTime.Parse("1900-01-01");
        /// <summary>
        /// 限号截止时间
        /// </summary>
        public DateTime C_EndTime
        {
            get { return _c_endtime; }
            set { _c_endtime = value; }
        }

        private DateTime _c_addtime = DateTime.Parse("1900-01-01");
        /// <summary>
        /// 限号添加时间
        /// </summary>
        public DateTime C_AddTime
        {
            get { return _c_addtime; }
            set { _c_addtime = value; }
        }

        private int _c_status=0;
        /// <summary>
        /// 状态：100--已限号，-100--已取消
        /// </summary>
        public int C_Status
        {
            get { return _c_status; }
            set { _c_status = value; }
        }

        private int _c_notifystatus=0;
        /// <summary>
        /// 通知状态：0--默认，100--可通知，300--已通知
        /// </summary>
        public int C_NotifyStatus
        {
            get { return _c_notifystatus; }
            set { _c_notifystatus = value; }
        }

        private DateTime _c_notifytime = DateTime.Parse("1900-01-01");
        /// <summary>
        /// 通知时间
        /// </summary>
        public DateTime C_NotifyTime
        {
            get { return _c_notifytime; }
            set { _c_notifytime = value; }
        }

        private DateTime _c_undotime = DateTime.Parse("1900-01-01");
        /// <summary>
        /// 撤销时间
        /// </summary>
        public DateTime C_UndoTime
        {
            get { return _c_undotime; }
            set { _c_undotime = value; }
        }

        private string _c_remark="";
        /// <summary>
        /// 备注
        /// </summary>
        public string C_Remark
        {
            get { return _c_remark; }
            set { _c_remark = value; }
        }

        #region INotifyPropertyChanged 成员

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion

        #region ICloneable 成员

        public object Clone()
        {
            return this.MemberwiseClone();
        }

        #endregion

    }
}
